using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;
using Decal.Interop.Core;

namespace Decal.Interop.Inject;

[ComImport]
[ClassInterface(ClassInterfaceType.None)]
[Guid("FEFE5CAB-10E4-404F-AD4D-184BCB506099")]
[TypeLibType(2)]
[SuppressUnmanagedCodeSecurity]
public class InjectServiceClass : IInjectService, InjectService
{
	[DispId(1)]
	public virtual extern object Site
	{
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		[return: MarshalAs(UnmanagedType.IUnknown)]
		get;
	}

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	public virtual extern void InitPlugin([MarshalAs(UnmanagedType.IUnknown)] object pUnk);
}
